Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.metaabm.commands
Class SetSinkLabelCommand

    java.lang.Object
      org.eclipse.emf.common.command.AbstractCommand
          org.eclipse.emf.common.command.CompoundCommand
              org.metaabm.commands.MultiValueCommand
                  org.metaabm.commands.SetSinkLabelCommand

All Implemented Interfaces:
  org.eclipse.emf.common.command.Command

    public class SetSinkLabelCommand

extends MultiValueCommand

Maintain correct number of inputs for the sink and add distributions as Necessary.

Author:
  milesparker

Nested Class Summary

Nested classes/interfaces inherited from class org.eclipse.emf.common.command.AbstractCommand
`org.eclipse.emf.common.command.AbstractCommand.NonDirtying`

Field Summary

Fields inherited from class org.eclipse.emf.common.command.CompoundCommand
`LAST_COMMAND_ALL, MERGE_COMMAND_ALL`

Constructor Summary
`SetSinkLabelCommand(org.eclipse.emf.edit.domain.EditingDomain domain, org.metaabm.act.ASink sink, java.lang.String newName)`

Method Summary

Methods inherited from class org.metaabm.commands.MultiValueCommand
`addAttribute, addAttributesCross, addAttributesSingle, removeMultiFunction`

Methods inherited from class org.eclipse.emf.common.command.CompoundCommand
`append, appendAndExecute, appendIfCanExecute, canUndo, dispose, execute, getAffectedObjects, getCommandList, getDescription, getLabel, getResult, getResultIndex, isEmpty, redo, toString, undo, unwrap`

Methods inherited from class org.eclipse.emf.common.command.AbstractCommand
`canExecute, chain, setDescription, setLabel`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### SetSinkLabelCommand

    public SetSinkLabelCommand(org.eclipse.emf.edit.domain.EditingDomain domain,
                               org.metaabm.act.ASink sink,
                               java.lang.String newName)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD